#include "WProgram.h"
// Driving two servos
// by BARRAGAN <http://people.interaction-ivrea.it/h.barragan>

// Demonstrates the use of the servo library to drive two servo motors. In this
//   case a 'modified' or 'continuous' servo on pin 9 and a 'standard' servo on pin 10
// Created 28 March 2004
// Updated 30 August 2007

#include <Servo.h>

void setup();
void loop();
void servo_delay (int t);
Servo myservo0;  // create servo object to control a servo
Servo myservo1;  // create another servo object to control another servo


void setup()
{
  pinMode(13, OUTPUT);
  myservo0.attach(9);  // attaches the servo on pin 9, uses default minpulse and maxpulse
  myservo1.attach(10, 0, 400, 2600);  // attaches the servo on pin 10, specifies minpulse and maxpulse
  servo_delay(3000);
}


void loop()
{
    for(int loopcnt = 0; loopcnt < 18001 ; loopcnt += 100 ) {
      myservo0.speed((loopcnt/100) - 90);   // set speed fo 1st servo
      myservo1.position(loopcnt/100);       // set position for second servo
      servo_delay(60);         // wait for the servos to reach the position
    }
}

void servo_delay (int t)
{
   for ( int i = 0 ; i < t ; i++) {
      Servo::refresh();    // if less than 20 ms since last call, refresh exits immediately
      delay(1);
   } 
}

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

